%define module  Log-Dispatch-Config
%define version 1.01
%define release 5mdk
%define	pdir	Log

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl , perl-base,  perl-Log-Dispatch >= 2.00, perl-AppConfig >= 1.52
BuildRequires:	perl-devel, perl-Test-Simple >= 0.42, perl-Log-Dispatch >= 2.00, perl-AppConfig >= 1.52, perl-IO-stringy

%define _requires_exceptions perl(Log::Dispatch)\\|perl(AppConfig)\\|perl(Log::Dispatch::Configurator) 

%description 
%{module} module for perl.  Log::Dispatch::Config is a subclass of
Log::Dispatch and provides a way to configure Log::Dispatch object
with configulation file (default, in AppConfig format). I mean, this
is log4j for Perl, not with all API compatibility though.

%prep
%setup -q -n %{module}-%{version}

%build

%{__perl} Makefile.PL INSTALLDIRS=vendor 
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc Changes README
%{perl_vendorlib}/Log/Dispatch*
%{_mandir}/*/*

%changelog
* Mon Jan 19 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.01-5mdk
- use requires_exceptions 

* Tue Aug 12 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.01-4mdk
- rebuild
- use %%makeinstall_std macro
- don't set PREFIX
- use %%make macro
- drop $RPM_OPT_FLAGS, no need

* Wed Aug 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.01-3mdk
- rebuild

* Mon Jun 17 2002 Lenny Cartier <lenny@mandrakesoft.com> 1.01-2mdk
- from Peter Chen <petechen@86.private> :
	- Remove blank line from description.

* Thu Jun 13 2002 Peter Chen <petechen@netilla.com> 1.01-1mdk
- 1.01
